# icmp_te_hdr Struct Reference

`#include <icmp.h>`

## Public Member Functions

| PACK_STRUCT_FIELD (uInt32 unused)
| PACK_STRUCT_FIELD (uInt16 chksum)
| PACK_STRUCT_FIELD (uInt16 _type_code)

## Data Fields

u16_t | chksum
u8_t | icode
u8_t | type
u32_t | unused

## Detailed Description

Definition at line 91 of file icmp.h.

## Member Function Documentation

icmp_te_hdr::PACK_STRUCT_FIELD | ( | uInt32 | unused | ) |

icmp_te_hdr::PACK_STRUCT_FIELD | ( | uInt16 | chksum | ) |

icmp_te_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _type_code | ) |

## Field Documentation

u16_t icmp_te_hdr::chksum

Definition at line 88 of file icmp.h.

u8_t icmp_te_hdr::icode

Definition at line 87 of file icmp.h.

u8_t icmp_te_hdr::type

Definition at line 86 of file icmp.h.

u32_t icmp_te_hdr::unused

Definition at line 89 of file icmp.h.

The documentation for this struct was generated from the following files:

- src/sys/include/net/ipv4/icmp.h
- src/sys/include/net/ipv6/icmp.h